Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 701894 - app-admin/sysklogd-2.0.3 - ld: ../lib/strlcat.o: file not recognized: file truncated
Summary: app-admin/sysklogd-2.0.3 - ld: ../lib/strlcat.o: file not recognized: file tr...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: parallel-make
  Show dependency tree
 
Reported: 2019-12-03 15:38 UTC by Gabriele Pelissetto
Modified: 2019-12-09 10:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Pelissetto 2019-12-03 15:38:45 UTC
app-admin/sysklogd-2.0.3 fails to build

pentium # emerge -auDN world

>>> Emerging (1 of 1) app-admin/sysklogd-2.0.3::gentoo
 * sysklogd-2.0.3.tar.gz BLAKE2B SHA512 size ;-) ...               [ ok ]
>>> Unpacking source...
>>> Unpacking sysklogd-2.0.3.tar.gz to /var/tmp/portage/app-admin/sysklogd-2.0.3/work
>>> Source unpacked in /var/tmp/portage/app-admin/sysklogd-2.0.3/work
>>> Preparing source in /var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3 ...
 * econf: updating sysklogd-2.0.3/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating sysklogd-2.0.3/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --disable-silent-rules --docdir=/usr/share/doc/sysklogd-2.0.3 --htmldir=/usr/share/doc/sysklogd-2.0.3/html --with-sysroot=/ --libdir=/usr/lib64 --runstatedir=/run --without-klogd --without-logger --without-systemd
checking for a BSD-compatible install... /usr/lib/portage/python3.6/ebuild-helpers/xattr/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking whether make supports the include directive... yes (GNU style)
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking whether x86_64-pc-linux-gnu-gcc understands -c and -o together... yes
checking dependency style of x86_64-pc-linux-gnu-gcc... none
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/x86_64-pc-linux-gnu-nm -B
checking the name lister (/usr/bin/x86_64-pc-linux-gnu-nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/x86_64-pc-linux-gnu-nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking for sysroot... /
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for x86_64-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether make supports nested variables... (cached) yes
checking for x86_64-pc-linux-gnu-gcc... (cached) x86_64-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... (cached) yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking whether x86_64-pc-linux-gnu-gcc understands -c and -o together... (cached) yes
checking dependency style of x86_64-pc-linux-gnu-gcc... (cached) none
checking for ANSI C header files... (cached) yes
checking for x86_64-pc-linux-gnu-pkg-config... /usr/bin/x86_64-pc-linux-gnu-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for pidfile... no
checking for strlcpy... no
checking for strlcat... no
checking for utimensat... yes
checking for getprogname... no
checking for strtobytes... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating example/Makefile
config.status: creating man/Makefile
config.status: creating src/Makefile
config.status: creating src/libsyslog.pc
config.status: creating test/Makefile
config.status: creating klogd.service
config.status: creating syslogd.service
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands

------------------ Summary ------------------
 sysklogd version 2.0.3
  Prefix.........: /usr
  Sysconfdir.....: /etc
  Runstatedir....: /run
  C Compiler.....: x86_64-pc-linux-gnu-gcc -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -Wl,-O1 -Wl,--as-needed 

 Optional features:
  klogd..........: no
  klogd delay....: 0 sec
  logger.........: no
  suspend time...: 180 sec
  systemd........: no

------------- Compiler version --------------
x86_64-pc-linux-gnu-gcc (Gentoo 9.2.0-r2 p3) 9.2.0
Copyright (C) 2019 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
---------------------------------------------

Check the above options and compile with:
 make

>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3 ...
make -j2 
make  all-recursive
make[1]: Entering directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3'
Making all in example
make[2]: Entering directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3/example'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3/example'
Making all in man
make[2]: Entering directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3/man'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3/man'
Making all in src
make[2]: Entering directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3/src'
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o syslogd-syslogd.o `test -f 'syslogd.c' || echo './'`syslogd.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o syslogd-socket.o `test -f 'socket.c' || echo './'`socket.c
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o libsyslog_la-syslog.lo `test -f 'syslog.c' || echo './'`syslog.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c syslog.c  -fPIC -DPIC -o .libs/libsyslog_la-syslog.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c syslog.c  -fPIC -DPIC -o libsyslog_la-syslog.o >/dev/null 2>&1
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o ../lib/pidfile.o ../lib/pidfile.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o ../lib/strlcpy.o ../lib/strlcpy.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o ../lib/strlcat.o ../lib/strlcat.c
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o ../lib/strlcpy.lo ../lib/strlcpy.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c ../lib/strlcpy.c  -fPIC -DPIC -o ../lib/.libs/strlcpy.o
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c -o ../lib/strlcat.lo ../lib/strlcat.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c ../lib/strlcpy.c  -fPIC -DPIC -o ../lib/strlcpy.o >/dev/null 2>&1
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe  -Wl,-O1 -Wl,--as-needed -o syslogd syslogd-syslogd.o syslogd-socket.o  ../lib/pidfile.o ../lib/strlcpy.o ../lib/strlcat.o 
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c ../lib/strlcat.c  -fPIC -DPIC -o ../lib/.libs/strlcat.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -DSYSCONFDIR=\"/etc\" -DRUNSTATEDIR=\"/run\" -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -c ../lib/strlcat.c  -fPIC -DPIC -o ../lib/strlcat.o >/dev/null 2>&1
libtool: link: x86_64-pc-linux-gnu-gcc -W -Wall -Wextra -Wno-unused-result -Wno-unused-parameter -fno-strict-aliasing -O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe -Wl,-O1 -Wl,--as-needed -o syslogd syslogd-syslogd.o syslogd-socket.o ../lib/pidfile.o ../lib/strlcpy.o ../lib/strlcat.o 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../lib/strlcat.o: file not recognized: file truncated
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:626: syslogd] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3/src'
make[1]: *** [Makefile:501: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3'
make: *** [Makefile:387: all] Error 2
 * ERROR: app-admin/sysklogd-2.0.3::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=app-admin/sysklogd-2.0.3::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-admin/sysklogd-2.0.3::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-admin/sysklogd-2.0.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-admin/sysklogd-2.0.3/temp/environment'.
 * Working directory: '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3'
 * S: '/var/tmp/portage/app-admin/sysklogd-2.0.3/work/sysklogd-2.0.3'
Comment 1 Gabriele Pelissetto 2019-12-03 15:40:39 UTC
pentium # emerge --info

Portage 2.3.80 (python 3.6.9-final-0, default/linux/amd64/17.1/desktop/gnome, gcc-9.2.0, glibc-2.30-r3, 5.3.11-gentoo x86_64)
=================================================================
System uname: Linux-5.3.11-gentoo-x86_64-Intel-R-_Pentium-R-_CPU_2020M_@_2.40GHz-with-gentoo-2.6
KiB Mem:     3909540 total,    408700 free
KiB Swap:    3933180 total,   3839484 free
Head commit of repository flatpak-overlay: 4b49969630089ec1479a1945e440ad5c17c65ba3

Timestamp of repository gentoo: Tue, 03 Dec 2019 14:46:48 +0000
Head commit of repository gentoo: bcc2db299ca910367c0bcbc2d51b1c3988e79397

sh bash 5.0_p11
ld GNU ld (Gentoo 2.33.1 p1) 2.33.1
app-shells/bash:          5.0_p11::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17::gentoo, 3.6.9::gentoo
dev-util/cmake:           3.16.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r2::gentoo
sys-devel/binutils:       2.33.1::gentoo
sys-devel/gcc:            9.2.0-r2::gentoo
sys-devel/gcc-config:     2.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.3-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r3::gentoo
Repositories:

ROKO__
    location: /var/lib/layman/ROKO__
    masters: gentoo
    priority: 50

flatpak-overlay
    location: /var/db/repos/flatpak
    sync-type: git
    sync-uri: https://github.com/fosero/flatpak-overlay.git
    masters: gentoo
    priority: 50

octopus
    location: /var/lib/layman/octopus
    masters: gentoo
    priority: 50

pentoo
    location: /var/lib/layman/pentoo
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 50

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: 1000

Installed sets: @gnome, @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=ivybridge -mno-avx -mno-aes -mno-rdrnd -O2 -pipe"
GENTOO_MIRRORS="https://mirrors.evowise.com/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ http://ftp.free.fr/mirrors/ftp.gentoo.org/ http://gentoo.modulix.net/gentoo/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ ftp://mirrors.soeasyto.com/distfiles.gentoo.org/ https://mirrors.soeasyto.com/distfiles.gentoo.org/ http://mirrors.soeasyto.com/distfiles.gentoo.org/ http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ rsync://mirror.eu.oneandone.net/gentoo/ https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo/ https://mirror.netcologne.de/gentoo/ rsync://mirror.netcologne.de/gentoo/ ftp://mirror.netcologne.de/gentoo/ http://mirror.netcologne.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ https://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ rsync://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp.fau.de/gentoo/ https://ftp.fau.de/gentoo/ https://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ rsync://ftp-stud.hs-esslingen.de/gentoo/ ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="7z 7za 7zip CPU_FLAGS_X86: X a52 aac acl acpi alsa alsa-plugin amd64 android animgif apache2 apache2-server archive asm audio bash-completion berkdb bitmap bluetooth bluetooth-sound bmp branding browser-extension bugzilla bzip2 cairo cdda cdr cli client colord cron crypt css cups curl cxx dbus developer dhcp dhcp-tools djvu dri dts dvd dvda dvdr e2fs e2fsprogs eds elogind emboss encode eps epub espeak ethernet evince evo exif extra f2fs fam fat firefox flac font-styles fortran fortune ftp games gdbm gdm gedit gentoo-dev geoclue geogebra geolocation gif gimp git github gnome gnome-keyring gnome-online-accounts gnuplot gpm grub gstreamer gtk gtk3 gzip hddtemp highlight html http http-server http2 httpd https huawei iconv icu introspection iostats iptables ipv6 iso jack jpeg jpeg2k json kdenlive krita latex lcms ldap libnotify libsecret libtirpc lm-sensors lua lz4 lzma lzo mad man matroska meminfo mmx mmxext mng mouse mp3 mp4 mpeg mtp multilib nautilus ncurses networkmanager nls nptl ntfs ogg opengl openmp pam pango pclmul pcre pdf png policykit popcnt portage postscript ppds pulseaudio rar readline samba sdl seccomp server shotwell sound spell split-usr sse sse2 sse3 sse4_1 sse4_2 ssh ssh-agent ssl ssse3 stars startup-notification svg tar tcpd tiff touchpad truetype udev udf udisks unicode unzip upower usb vhost-net video video-thumbnails vim vim-syntax virtualbox vlc vorbis vpx webcam wifi wxwidgets x264 xattr xcb xfs xml xorg xpm xv xvid xz zip zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 pclmul popcnt sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="i386 aarch64 arm x86_64 sparc" QEMU_USER_TARGETS="i386 x86 x86_64 aarch64 arm sparc" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Ionen Wolkens 2019-12-03 16:07:14 UTC
Can confirm, was able to reproduce as a parallel make issue a few times on my slower box.
Comment 3 Larry the Git Cow gentoo-dev 2019-12-09 10:56:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a195cb3f7ab35db9a071e70b513a893c998a02f7

commit a195cb3f7ab35db9a071e70b513a893c998a02f7
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-12-09 10:55:38 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-12-09 10:56:02 +0000

    app-admin/sysklogd: "Fixed" parallel build issue
    
    Closes: https://bugs.gentoo.org/701894
    Package-Manager: Portage-2.3.81, Repoman-2.3.20
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 .../files/sysklogd-2.0.3-no_parallel_build.patch   | 40 ++++++++++++++++++++++
 app-admin/sysklogd/sysklogd-2.0.3.ebuild           | 11 +++++-
 2 files changed, 50 insertions(+), 1 deletion(-)